Package com.google.javascript.jscomp

# Interface CompilerPass

All Known Subinterfaces:
  `HotSwapCompilerPass`

All Known Implementing Classes:
  `AstValidator`, `CallGraph`, `FieldCleanupPass`, `InlineProperties`, `ObjectPropertyStringPreprocess`, `ProcessCommonJSModules`, `TypeCheck`

public interface CompilerPass

Interface for classes that can compile JS.

Class has single function "process", which is passed the root node of the parsed JS tree, as well as the root node of the external JS tree (used to provide a public API and prevent renaming of system functions).

Use this class to support testing with BaseCompilerTest

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Node externs, Node root)`
Process the JS with root node root.

## Method Details

### process

void process(Node externs, Node root)
Process the JS with root node root. Can modify the contents of each Node tree

Parameters:
  `externs` - Top of external JS tree
  `root` - Top of JS tree